Bug 222280 - Reduce memory consumption in scanning infrastructure
Reduce memory consumption in scanning infrastructure
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
7.2
All All
: P3 (vote)
: 7.3
Assigned To: Tomas Zezula
issues@editor
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-16 15:16 UTC by Tomas Zezula
Modified: 2013-01-21 12:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2012-11-16 15:16:32 UTC
For large projects 250,000 files the infrastructure itself consumes significant amount of memory due to several collections. It may be possible to replace at least some of them by bit masks.
Comment 1 Tomas Zezula 2012-11-16 15:18:47 UTC
Fixed jet-main 75b56e71bea9
Comment 2 Quality Engineering 2012-11-19 03:08:34 UTC
Integrated into 'main-golden', will be available in build *201211190002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/75b56e71bea9
User: Tomas Zezula <tzezula@netbeans.org>
Log: #222280:Reduce memory consumption in scanning infrastructure


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo